]> The Tcpdump Group git mirrors - tcpdump/commitdiff
When checking for pcap_if_t, add $V_INCLS to CFLAGS, so we look at the
authorguy <guy>
Sat, 10 Jul 2004 21:53:31 +0000 (21:53 +0000)
committerguy <guy>
Sat, 10 Jul 2004 21:53:31 +0000 (21:53 +0000)
header files for the version of libpcap we'll be using.

configure
configure.in

index e87d1a340dbaf020d86b6e8f1d69ed47be59ccb0..679b070eeba63f03990562814ef53852dd27e815 100755 (executable)
--- a/configure
+++ b/configure
@@ -1,5 +1,5 @@
 #! /bin/sh
-# From configure.in Revision: 1.180 .
+# From configure.in Revision: 1.181 .
 # Guess values for system-dependent variables and create Makefiles.
 # Generated by Autoconf 2.52.
 #
@@ -7259,13 +7259,15 @@ fi
 done
 
 if test $ac_cv_func_pcap_findalldevs = "yes" ; then
-    echo "$as_me:7262: checking for pcap_if_t" >&5
+    savedcflags="$CFLAGS"
+    CFLAGS="$CFLAGS $V_INCLS"
+    echo "$as_me:7264: checking for pcap_if_t" >&5
 echo $ECHO_N "checking for pcap_if_t... $ECHO_C" >&6
 if test "${ac_cv_type_pcap_if_t+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 7268 "configure"
+#line 7270 "configure"
 #include "confdefs.h"
 #include <pcap.h>
 
@@ -7281,16 +7283,16 @@ if (sizeof (pcap_if_t))
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:7284: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:7286: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:7287: \$? = $ac_status" >&5
+  echo "$as_me:7289: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:7290: \"$ac_try\"") >&5
+  { (eval echo "$as_me:7292: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:7293: \$? = $ac_status" >&5
+  echo "$as_me:7295: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_type_pcap_if_t=yes
 else
@@ -7300,7 +7302,7 @@ ac_cv_type_pcap_if_t=no
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 fi
-echo "$as_me:7303: result: $ac_cv_type_pcap_if_t" >&5
+echo "$as_me:7305: result: $ac_cv_type_pcap_if_t" >&5
 echo "${ECHO_T}$ac_cv_type_pcap_if_t" >&6
 if test $ac_cv_type_pcap_if_t = yes; then
 
@@ -7310,12 +7312,14 @@ EOF
 
 fi
 
+    CFLAGS="$savedcflags"
 fi
+
 if test $ac_cv_func_pcap_lib_version = "no" ; then
-    echo "$as_me:7315: checking whether pcap_version is defined by libpcap" >&5
+    echo "$as_me:7319: checking whether pcap_version is defined by libpcap" >&5
 echo $ECHO_N "checking whether pcap_version is defined by libpcap... $ECHO_C" >&6
     cat >conftest.$ac_ext <<_ACEOF
-#line 7318 "configure"
+#line 7322 "configure"
 #include "confdefs.h"
 
 int
@@ -7335,16 +7339,16 @@ return_pcap_version(void)
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:7338: \"$ac_link\"") >&5
+if { (eval echo "$as_me:7342: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:7341: \$? = $ac_status" >&5
+  echo "$as_me:7345: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:7344: \"$ac_try\"") >&5
+  { (eval echo "$as_me:7348: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:7347: \$? = $ac_status" >&5
+  echo "$as_me:7351: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_lbl_cv_pcap_version_defined=yes
 else
@@ -7354,21 +7358,21 @@ ac_lbl_cv_pcap_version_defined=no
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
     if test "$ac_lbl_cv_pcap_version_defined" = yes ; then
-       echo "$as_me:7357: result: yes" >&5
+       echo "$as_me:7361: result: yes" >&5
 echo "${ECHO_T}yes" >&6
        cat >>confdefs.h <<\EOF
 #define HAVE_PCAP_VERSION 1
 EOF
 
     else
-       echo "$as_me:7364: result: no" >&5
+       echo "$as_me:7368: result: no" >&5
 echo "${ECHO_T}no" >&6
     fi
 fi
-echo "$as_me:7368: checking whether pcap_debug is defined by libpcap" >&5
+echo "$as_me:7372: checking whether pcap_debug is defined by libpcap" >&5
 echo $ECHO_N "checking whether pcap_debug is defined by libpcap... $ECHO_C" >&6
 cat >conftest.$ac_ext <<_ACEOF
-#line 7371 "configure"
+#line 7375 "configure"
 #include "confdefs.h"
 
 int
@@ -7388,16 +7392,16 @@ return_pcap_debug(void)
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:7391: \"$ac_link\"") >&5
+if { (eval echo "$as_me:7395: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:7394: \$? = $ac_status" >&5
+  echo "$as_me:7398: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:7397: \"$ac_try\"") >&5
+  { (eval echo "$as_me:7401: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:7400: \$? = $ac_status" >&5
+  echo "$as_me:7404: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_lbl_cv_pcap_debug_defined=yes
 else
@@ -7407,22 +7411,22 @@ ac_lbl_cv_pcap_debug_defined=no
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 if test "$ac_lbl_cv_pcap_debug_defined" = yes ; then
-       echo "$as_me:7410: result: yes" >&5
+       echo "$as_me:7414: result: yes" >&5
 echo "${ECHO_T}yes" >&6
        cat >>confdefs.h <<\EOF
 #define HAVE_PCAP_DEBUG 1
 EOF
 
 else
-       echo "$as_me:7417: result: no" >&5
+       echo "$as_me:7421: result: no" >&5
 echo "${ECHO_T}no" >&6
        #
        # OK, what about "yydebug"?
        #
-       echo "$as_me:7422: checking whether yydebug is defined by libpcap" >&5
+       echo "$as_me:7426: checking whether yydebug is defined by libpcap" >&5
 echo $ECHO_N "checking whether yydebug is defined by libpcap... $ECHO_C" >&6
        cat >conftest.$ac_ext <<_ACEOF
-#line 7425 "configure"
+#line 7429 "configure"
 #include "confdefs.h"
 
 int
@@ -7442,16 +7446,16 @@ main ()
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:7445: \"$ac_link\"") >&5
+if { (eval echo "$as_me:7449: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:7448: \$? = $ac_status" >&5
+  echo "$as_me:7452: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:7451: \"$ac_try\"") >&5
+  { (eval echo "$as_me:7455: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:7454: \$? = $ac_status" >&5
+  echo "$as_me:7458: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_lbl_cv_yydebug_defined=yes
 else
@@ -7461,14 +7465,14 @@ ac_lbl_cv_yydebug_defined=no
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
        if test "$ac_lbl_cv_yydebug_defined" = yes ; then
-               echo "$as_me:7464: result: yes" >&5
+               echo "$as_me:7468: result: yes" >&5
 echo "${ECHO_T}yes" >&6
                cat >>confdefs.h <<\EOF
 #define HAVE_YYDEBUG 1
 EOF
 
        else
-               echo "$as_me:7471: result: no" >&5
+               echo "$as_me:7475: result: no" >&5
 echo "${ECHO_T}no" >&6
        fi
 fi
@@ -7476,13 +7480,13 @@ fi
 for ac_func in bpf_dump
 do
 as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
-echo "$as_me:7479: checking for $ac_func" >&5
+echo "$as_me:7483: checking for $ac_func" >&5
 echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6
 if eval "test \"\${$as_ac_var+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 7485 "configure"
+#line 7489 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char $ac_func (); below.  */
@@ -7513,16 +7517,16 @@ f = $ac_func;
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:7516: \"$ac_link\"") >&5
+if { (eval echo "$as_me:7520: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:7519: \$? = $ac_status" >&5
+  echo "$as_me:7523: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:7522: \"$ac_try\"") >&5
+  { (eval echo "$as_me:7526: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:7525: \$? = $ac_status" >&5
+  echo "$as_me:7529: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   eval "$as_ac_var=yes"
 else
@@ -7532,7 +7536,7 @@ eval "$as_ac_var=no"
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 fi
-echo "$as_me:7535: result: `eval echo '${'$as_ac_var'}'`" >&5
+echo "$as_me:7539: result: `eval echo '${'$as_ac_var'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$as_ac_var'}'`" >&6
 if test `eval echo '${'$as_ac_var'}'` = yes; then
   cat >>confdefs.h <<EOF
@@ -7574,13 +7578,13 @@ if test -f /dev/bpf0 ; then
        V_GROUP=bpf
 fi
 
-echo "$as_me:7577: checking for int8_t using $CC" >&5
+echo "$as_me:7581: checking for int8_t using $CC" >&5
 echo $ECHO_N "checking for int8_t using $CC... $ECHO_C" >&6
     if test "${ac_cv_lbl_have_int8_t+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 7583 "configure"
+#line 7587 "configure"
 #include "confdefs.h"
 
 #      include "confdefs.h"
@@ -7598,16 +7602,16 @@ int8_t i
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:7601: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:7605: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:7604: \$? = $ac_status" >&5
+  echo "$as_me:7608: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:7607: \"$ac_try\"") >&5
+  { (eval echo "$as_me:7611: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:7610: \$? = $ac_status" >&5
+  echo "$as_me:7614: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_lbl_have_int8_t=yes
 else
@@ -7618,7 +7622,7 @@ fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 fi
 
-    echo "$as_me:7621: result: $ac_cv_lbl_have_int8_t" >&5
+    echo "$as_me:7625: result: $ac_cv_lbl_have_int8_t" >&5
 echo "${ECHO_T}$ac_cv_lbl_have_int8_t" >&6
     if test $ac_cv_lbl_have_int8_t = no ; then
            cat >>confdefs.h <<\EOF
@@ -7626,13 +7630,13 @@ echo "${ECHO_T}$ac_cv_lbl_have_int8_t" >&6
 EOF
 
     fi
-echo "$as_me:7629: checking for u_int8_t using $CC" >&5
+echo "$as_me:7633: checking for u_int8_t using $CC" >&5
 echo $ECHO_N "checking for u_int8_t using $CC... $ECHO_C" >&6
     if test "${ac_cv_lbl_have_u_int8_t+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 7635 "configure"
+#line 7639 "configure"
 #include "confdefs.h"
 
 #      include "confdefs.h"
@@ -7650,16 +7654,16 @@ u_int8_t i
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:7653: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:7657: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:7656: \$? = $ac_status" >&5
+  echo "$as_me:7660: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:7659: \"$ac_try\"") >&5
+  { (eval echo "$as_me:7663: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:7662: \$? = $ac_status" >&5
+  echo "$as_me:7666: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_lbl_have_u_int8_t=yes
 else
@@ -7670,7 +7674,7 @@ fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 fi
 
-    echo "$as_me:7673: result: $ac_cv_lbl_have_u_int8_t" >&5
+    echo "$as_me:7677: result: $ac_cv_lbl_have_u_int8_t" >&5
 echo "${ECHO_T}$ac_cv_lbl_have_u_int8_t" >&6
     if test $ac_cv_lbl_have_u_int8_t = no ; then
            cat >>confdefs.h <<\EOF
@@ -7678,13 +7682,13 @@ echo "${ECHO_T}$ac_cv_lbl_have_u_int8_t" >&6
 EOF
 
     fi
-echo "$as_me:7681: checking for int16_t using $CC" >&5
+echo "$as_me:7685: checking for int16_t using $CC" >&5
 echo $ECHO_N "checking for int16_t using $CC... $ECHO_C" >&6
     if test "${ac_cv_lbl_have_int16_t+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 7687 "configure"
+#line 7691 "configure"
 #include "confdefs.h"
 
 #      include "confdefs.h"
@@ -7702,16 +7706,16 @@ int16_t i
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:7705: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:7709: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:7708: \$? = $ac_status" >&5
+  echo "$as_me:7712: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:7711: \"$ac_try\"") >&5
+  { (eval echo "$as_me:7715: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:7714: \$? = $ac_status" >&5
+  echo "$as_me:7718: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_lbl_have_int16_t=yes
 else
@@ -7722,7 +7726,7 @@ fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 fi
 
-    echo "$as_me:7725: result: $ac_cv_lbl_have_int16_t" >&5
+    echo "$as_me:7729: result: $ac_cv_lbl_have_int16_t" >&5
 echo "${ECHO_T}$ac_cv_lbl_have_int16_t" >&6
     if test $ac_cv_lbl_have_int16_t = no ; then
            cat >>confdefs.h <<\EOF
@@ -7730,13 +7734,13 @@ echo "${ECHO_T}$ac_cv_lbl_have_int16_t" >&6
 EOF
 
     fi
-echo "$as_me:7733: checking for u_int16_t using $CC" >&5
+echo "$as_me:7737: checking for u_int16_t using $CC" >&5
 echo $ECHO_N "checking for u_int16_t using $CC... $ECHO_C" >&6
     if test "${ac_cv_lbl_have_u_int16_t+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 7739 "configure"
+#line 7743 "configure"
 #include "confdefs.h"
 
 #      include "confdefs.h"
@@ -7754,16 +7758,16 @@ u_int16_t i
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:7757: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:7761: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:7760: \$? = $ac_status" >&5
+  echo "$as_me:7764: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:7763: \"$ac_try\"") >&5
+  { (eval echo "$as_me:7767: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:7766: \$? = $ac_status" >&5
+  echo "$as_me:7770: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_lbl_have_u_int16_t=yes
 else
@@ -7774,7 +7778,7 @@ fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 fi
 
-    echo "$as_me:7777: result: $ac_cv_lbl_have_u_int16_t" >&5
+    echo "$as_me:7781: result: $ac_cv_lbl_have_u_int16_t" >&5
 echo "${ECHO_T}$ac_cv_lbl_have_u_int16_t" >&6
     if test $ac_cv_lbl_have_u_int16_t = no ; then
            cat >>confdefs.h <<\EOF
@@ -7782,13 +7786,13 @@ echo "${ECHO_T}$ac_cv_lbl_have_u_int16_t" >&6
 EOF
 
     fi
-echo "$as_me:7785: checking for int32_t using $CC" >&5
+echo "$as_me:7789: checking for int32_t using $CC" >&5
 echo $ECHO_N "checking for int32_t using $CC... $ECHO_C" >&6
     if test "${ac_cv_lbl_have_int32_t+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 7791 "configure"
+#line 7795 "configure"
 #include "confdefs.h"
 
 #      include "confdefs.h"
@@ -7806,16 +7810,16 @@ int32_t i
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:7809: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:7813: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:7812: \$? = $ac_status" >&5
+  echo "$as_me:7816: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:7815: \"$ac_try\"") >&5
+  { (eval echo "$as_me:7819: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:7818: \$? = $ac_status" >&5
+  echo "$as_me:7822: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_lbl_have_int32_t=yes
 else
@@ -7826,7 +7830,7 @@ fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 fi
 
-    echo "$as_me:7829: result: $ac_cv_lbl_have_int32_t" >&5
+    echo "$as_me:7833: result: $ac_cv_lbl_have_int32_t" >&5
 echo "${ECHO_T}$ac_cv_lbl_have_int32_t" >&6
     if test $ac_cv_lbl_have_int32_t = no ; then
            cat >>confdefs.h <<\EOF
@@ -7834,13 +7838,13 @@ echo "${ECHO_T}$ac_cv_lbl_have_int32_t" >&6
 EOF
 
     fi
-echo "$as_me:7837: checking for u_int32_t using $CC" >&5
+echo "$as_me:7841: checking for u_int32_t using $CC" >&5
 echo $ECHO_N "checking for u_int32_t using $CC... $ECHO_C" >&6
     if test "${ac_cv_lbl_have_u_int32_t+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 7843 "configure"
+#line 7847 "configure"
 #include "confdefs.h"
 
 #      include "confdefs.h"
@@ -7858,16 +7862,16 @@ u_int32_t i
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:7861: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:7865: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:7864: \$? = $ac_status" >&5
+  echo "$as_me:7868: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:7867: \"$ac_try\"") >&5
+  { (eval echo "$as_me:7871: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:7870: \$? = $ac_status" >&5
+  echo "$as_me:7874: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_lbl_have_u_int32_t=yes
 else
@@ -7878,7 +7882,7 @@ fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 fi
 
-    echo "$as_me:7881: result: $ac_cv_lbl_have_u_int32_t" >&5
+    echo "$as_me:7885: result: $ac_cv_lbl_have_u_int32_t" >&5
 echo "${ECHO_T}$ac_cv_lbl_have_u_int32_t" >&6
     if test $ac_cv_lbl_have_u_int32_t = no ; then
            cat >>confdefs.h <<\EOF
@@ -7886,13 +7890,13 @@ echo "${ECHO_T}$ac_cv_lbl_have_u_int32_t" >&6
 EOF
 
     fi
-echo "$as_me:7889: checking for int64_t using $CC" >&5
+echo "$as_me:7893: checking for int64_t using $CC" >&5
 echo $ECHO_N "checking for int64_t using $CC... $ECHO_C" >&6
     if test "${ac_cv_lbl_have_int64_t+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 7895 "configure"
+#line 7899 "configure"
 #include "confdefs.h"
 
 #      include "confdefs.h"
@@ -7910,16 +7914,16 @@ int64_t i
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:7913: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:7917: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:7916: \$? = $ac_status" >&5
+  echo "$as_me:7920: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:7919: \"$ac_try\"") >&5
+  { (eval echo "$as_me:7923: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:7922: \$? = $ac_status" >&5
+  echo "$as_me:7926: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_lbl_have_int64_t=yes
 else
@@ -7930,7 +7934,7 @@ fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 fi
 
-    echo "$as_me:7933: result: $ac_cv_lbl_have_int64_t" >&5
+    echo "$as_me:7937: result: $ac_cv_lbl_have_int64_t" >&5
 echo "${ECHO_T}$ac_cv_lbl_have_int64_t" >&6
     if test $ac_cv_lbl_have_int64_t = no ; then
            cat >>confdefs.h <<\EOF
@@ -7938,13 +7942,13 @@ echo "${ECHO_T}$ac_cv_lbl_have_int64_t" >&6
 EOF
 
     fi
-echo "$as_me:7941: checking for u_int64_t using $CC" >&5
+echo "$as_me:7945: checking for u_int64_t using $CC" >&5
 echo $ECHO_N "checking for u_int64_t using $CC... $ECHO_C" >&6
     if test "${ac_cv_lbl_have_u_int64_t+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 7947 "configure"
+#line 7951 "configure"
 #include "confdefs.h"
 
 #      include "confdefs.h"
@@ -7962,16 +7966,16 @@ u_int64_t i
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:7965: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:7969: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:7968: \$? = $ac_status" >&5
+  echo "$as_me:7972: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:7971: \"$ac_try\"") >&5
+  { (eval echo "$as_me:7975: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:7974: \$? = $ac_status" >&5
+  echo "$as_me:7978: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_lbl_have_u_int64_t=yes
 else
@@ -7982,7 +7986,7 @@ fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 fi
 
-    echo "$as_me:7985: result: $ac_cv_lbl_have_u_int64_t" >&5
+    echo "$as_me:7989: result: $ac_cv_lbl_have_u_int64_t" >&5
 echo "${ECHO_T}$ac_cv_lbl_have_u_int64_t" >&6
     if test $ac_cv_lbl_have_u_int64_t = no ; then
            cat >>confdefs.h <<\EOF
@@ -7999,23 +8003,23 @@ EOF
 for ac_header in inttypes.h
 do
 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
-echo "$as_me:8002: checking for $ac_header" >&5
+echo "$as_me:8006: checking for $ac_header" >&5
 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
 if eval "test \"\${$as_ac_Header+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 8008 "configure"
+#line 8012 "configure"
 #include "confdefs.h"
 #include <$ac_header>
 _ACEOF
-if { (eval echo "$as_me:8012: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:8016: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
   ac_status=$?
   egrep -v '^ *\+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
-  echo "$as_me:8018: \$? = $ac_status" >&5
+  echo "$as_me:8022: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null; then
   if test -s conftest.err; then
     ac_cpp_err=$ac_c_preproc_warn_flag
@@ -8034,7 +8038,7 @@ else
 fi
 rm -f conftest.err conftest.$ac_ext
 fi
-echo "$as_me:8037: result: `eval echo '${'$as_ac_Header'}'`" >&5
+echo "$as_me:8041: result: `eval echo '${'$as_ac_Header'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
 if test `eval echo '${'$as_ac_Header'}'` = yes; then
   cat >>confdefs.h <<EOF
@@ -8044,11 +8048,11 @@ EOF
     #
     # OK, we have inttypes.h, but does it define those macros?
     #
-    echo "$as_me:8047: checking whether inttypes.h defines the PRI[doxu]64 macros" >&5
+    echo "$as_me:8051: checking whether inttypes.h defines the PRI[doxu]64 macros" >&5
 echo $ECHO_N "checking whether inttypes.h defines the PRI[doxu]64 macros... $ECHO_C" >&6
     cat >conftest.$ac_ext <<_ACEOF
 
-       #line 8051 "configure"
+       #line 8055 "configure"
 #include "confdefs.h"
 
            #include <inttypes.h>
@@ -8065,19 +8069,19 @@ echo $ECHO_N "checking whether inttypes.h defines the PRI[doxu]64 macros... $ECH
 
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:8068: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:8072: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:8071: \$? = $ac_status" >&5
+  echo "$as_me:8075: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:8074: \"$ac_try\"") >&5
+  { (eval echo "$as_me:8078: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:8077: \$? = $ac_status" >&5
+  echo "$as_me:8081: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
-       echo "$as_me:8080: result: yes" >&5
+       echo "$as_me:8084: result: yes" >&5
 echo "${ECHO_T}yes" >&6
        ac_lbl_inttypes_h_defines_formats=yes
 
@@ -8085,7 +8089,7 @@ else
   echo "$as_me: failed program was:" >&5
 cat conftest.$ac_ext >&5
 
-       echo "$as_me:8088: result: no" >&5
+       echo "$as_me:8092: result: no" >&5
 echo "${ECHO_T}no" >&6
        ac_lbl_inttypes_h_defines_formats=no
 
@@ -8110,16 +8114,16 @@ EOF
 
 else
 
-    echo "$as_me:8113: checking whether %llx can be used to format 64-bit integers" >&5
+    echo "$as_me:8117: checking whether %llx can be used to format 64-bit integers" >&5
 echo $ECHO_N "checking whether %llx can be used to format 64-bit integers... $ECHO_C" >&6
     if test "$cross_compiling" = yes; then
-  { { echo "$as_me:8116: error: cannot run test program while cross compiling" >&5
+  { { echo "$as_me:8120: error: cannot run test program while cross compiling" >&5
 echo "$as_me: error: cannot run test program while cross compiling" >&2;}
    { (exit 1); exit 1; }; }
 else
   cat >conftest.$ac_ext <<_ACEOF
 
-       #line 8122 "configure"
+       #line 8126 "configure"
 #include "confdefs.h"
 
 #          ifdef HAVE_INTTYPES_H
@@ -8141,15 +8145,15 @@ else
 
 _ACEOF
 rm -f conftest$ac_exeext
-if { (eval echo "$as_me:8144: \"$ac_link\"") >&5
+if { (eval echo "$as_me:8148: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:8147: \$? = $ac_status" >&5
+  echo "$as_me:8151: \$? = $ac_status" >&5
   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:8149: \"$ac_try\"") >&5
+  { (eval echo "$as_me:8153: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:8152: \$? = $ac_status" >&5
+  echo "$as_me:8156: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
        cat >>confdefs.h <<\EOF
@@ -8168,7 +8172,7 @@ EOF
 #define PRIu64 "llu"
 EOF
 
-       echo "$as_me:8171: result: yes" >&5
+       echo "$as_me:8175: result: yes" >&5
 echo "${ECHO_T}yes" >&6
 
 else
@@ -8176,19 +8180,19 @@ else
 echo "$as_me: failed program was:" >&5
 cat conftest.$ac_ext >&5
 
-       echo "$as_me:8179: result: no" >&5
+       echo "$as_me:8183: result: no" >&5
 echo "${ECHO_T}no" >&6
 
-    echo "$as_me:8182: checking whether %Lx can be used to format 64-bit integers" >&5
+    echo "$as_me:8186: checking whether %Lx can be used to format 64-bit integers" >&5
 echo $ECHO_N "checking whether %Lx can be used to format 64-bit integers... $ECHO_C" >&6
     if test "$cross_compiling" = yes; then
-  { { echo "$as_me:8185: error: cannot run test program while cross compiling" >&5
+  { { echo "$as_me:8189: error: cannot run test program while cross compiling" >&5
 echo "$as_me: error: cannot run test program while cross compiling" >&2;}
    { (exit 1); exit 1; }; }
 else
   cat >conftest.$ac_ext <<_ACEOF
 
-       #line 8191 "configure"
+       #line 8195 "configure"
 #include "confdefs.h"
 
 #          ifdef HAVE_INTTYPES_H
@@ -8210,15 +8214,15 @@ else
 
 _ACEOF
 rm -f conftest$ac_exeext
-if { (eval echo "$as_me:8213: \"$ac_link\"") >&5
+if { (eval echo "$as_me:8217: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:8216: \$? = $ac_status" >&5
+  echo "$as_me:8220: \$? = $ac_status" >&5
   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:8218: \"$ac_try\"") >&5
+  { (eval echo "$as_me:8222: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:8221: \$? = $ac_status" >&5
+  echo "$as_me:8225: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
        cat >>confdefs.h <<\EOF
@@ -8237,7 +8241,7 @@ EOF
 #define PRIu64 "Lu"
 EOF
 
-       echo "$as_me:8240: result: yes" >&5
+       echo "$as_me:8244: result: yes" >&5
 echo "${ECHO_T}yes" >&6
 
 else
@@ -8245,19 +8249,19 @@ else
 echo "$as_me: failed program was:" >&5
 cat conftest.$ac_ext >&5
 
-       echo "$as_me:8248: result: no" >&5
+       echo "$as_me:8252: result: no" >&5
 echo "${ECHO_T}no" >&6
 
-    echo "$as_me:8251: checking whether %qx can be used to format 64-bit integers" >&5
+    echo "$as_me:8255: checking whether %qx can be used to format 64-bit integers" >&5
 echo $ECHO_N "checking whether %qx can be used to format 64-bit integers... $ECHO_C" >&6
     if test "$cross_compiling" = yes; then
-  { { echo "$as_me:8254: error: cannot run test program while cross compiling" >&5
+  { { echo "$as_me:8258: error: cannot run test program while cross compiling" >&5
 echo "$as_me: error: cannot run test program while cross compiling" >&2;}
    { (exit 1); exit 1; }; }
 else
   cat >conftest.$ac_ext <<_ACEOF
 
-       #line 8260 "configure"
+       #line 8264 "configure"
 #include "confdefs.h"
 
 #          ifdef HAVE_INTTYPES_H
@@ -8279,15 +8283,15 @@ else
 
 _ACEOF
 rm -f conftest$ac_exeext
-if { (eval echo "$as_me:8282: \"$ac_link\"") >&5
+if { (eval echo "$as_me:8286: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:8285: \$? = $ac_status" >&5
+  echo "$as_me:8289: \$? = $ac_status" >&5
   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:8287: \"$ac_try\"") >&5
+  { (eval echo "$as_me:8291: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:8290: \$? = $ac_status" >&5
+  echo "$as_me:8294: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
        cat >>confdefs.h <<\EOF
@@ -8306,7 +8310,7 @@ EOF
 #define PRIu64 "qu"
 EOF
 
-       echo "$as_me:8309: result: yes" >&5
+       echo "$as_me:8313: result: yes" >&5
 echo "${ECHO_T}yes" >&6
 
 else
@@ -8314,10 +8318,10 @@ else
 echo "$as_me: failed program was:" >&5
 cat conftest.$ac_ext >&5
 
-       echo "$as_me:8317: result: no" >&5
+       echo "$as_me:8321: result: no" >&5
 echo "${ECHO_T}no" >&6
 
-             { { echo "$as_me:8320: error: neither %llx nor %Lx nor %qx worked on a 64-bit integer" >&5
+             { { echo "$as_me:8324: error: neither %llx nor %Lx nor %qx worked on a 64-bit integer" >&5
 echo "$as_me: error: neither %llx nor %Lx nor %qx worked on a 64-bit integer" >&2;}
    { (exit 1); exit 1; }; }
 
@@ -8370,18 +8374,18 @@ rm -f os-proto.h
 EOF
 
            else
-                   { echo "$as_me:8373: WARNING: can't find $name" >&5
+                   { echo "$as_me:8377: WARNING: can't find $name" >&5
 echo "$as_me: WARNING: can't find $name" >&2;}
            fi
     fi
 
-echo "$as_me:8378: checking if sockaddr struct has sa_len member" >&5
+echo "$as_me:8382: checking if sockaddr struct has sa_len member" >&5
 echo $ECHO_N "checking if sockaddr struct has sa_len member... $ECHO_C" >&6
     if test "${ac_cv_lbl_sockaddr_has_sa_len+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 8384 "configure"
+#line 8388 "configure"
 #include "confdefs.h"
 
 #      include <sys/types.h>
@@ -8395,16 +8399,16 @@ u_int i = sizeof(((struct sockaddr *)0)->sa_len)
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:8398: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:8402: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:8401: \$? = $ac_status" >&5
+  echo "$as_me:8405: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:8404: \"$ac_try\"") >&5
+  { (eval echo "$as_me:8408: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:8407: \$? = $ac_status" >&5
+  echo "$as_me:8411: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_lbl_sockaddr_has_sa_len=yes
 else
@@ -8415,7 +8419,7 @@ fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 fi
 
-    echo "$as_me:8418: result: $ac_cv_lbl_sockaddr_has_sa_len" >&5
+    echo "$as_me:8422: result: $ac_cv_lbl_sockaddr_has_sa_len" >&5
 echo "${ECHO_T}$ac_cv_lbl_sockaddr_has_sa_len" >&6
     if test $ac_cv_lbl_sockaddr_has_sa_len = yes ; then
            cat >>confdefs.h <<\EOF
@@ -8424,7 +8428,7 @@ EOF
 
     fi
 
-echo "$as_me:8427: checking if unaligned accesses fail" >&5
+echo "$as_me:8431: checking if unaligned accesses fail" >&5
 echo $ECHO_N "checking if unaligned accesses fail... $ECHO_C" >&6
     if test "${ac_cv_lbl_unaligned_fail+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -8511,7 +8515,7 @@ EOF
        esac
 fi
 
-    echo "$as_me:8514: result: $ac_cv_lbl_unaligned_fail" >&5
+    echo "$as_me:8518: result: $ac_cv_lbl_unaligned_fail" >&5
 echo "${ECHO_T}$ac_cv_lbl_unaligned_fail" >&6
     if test $ac_cv_lbl_unaligned_fail = yes ; then
            cat >>confdefs.h <<\EOF
@@ -8520,13 +8524,13 @@ EOF
 
     fi
 
-       echo "$as_me:8523: checking for h_errno" >&5
+       echo "$as_me:8527: checking for h_errno" >&5
 echo $ECHO_N "checking for h_errno... $ECHO_C" >&6
        if test "${ac_cv_var_h_errno+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 8529 "configure"
+#line 8533 "configure"
 #include "confdefs.h"
 
 #              include <sys/types.h>
@@ -8540,16 +8544,16 @@ int foo = h_errno;
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:8543: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:8547: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:8546: \$? = $ac_status" >&5
+  echo "$as_me:8550: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:8549: \"$ac_try\"") >&5
+  { (eval echo "$as_me:8553: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:8552: \$? = $ac_status" >&5
+  echo "$as_me:8556: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_var_h_errno=yes
 else
@@ -8560,7 +8564,7 @@ fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 fi
 
-       echo "$as_me:8563: result: $ac_cv_var_h_errno" >&5
+       echo "$as_me:8567: result: $ac_cv_var_h_errno" >&5
 echo "${ECHO_T}$ac_cv_var_h_errno" >&6
        if test "$ac_cv_var_h_errno" = "yes"; then
                cat >>confdefs.h <<\EOF
@@ -8575,7 +8579,7 @@ if test "${with_crypto+set}" = set; then
 
 else
 
-echo "$as_me:8578: checking for SSLeay" >&5
+echo "$as_me:8582: checking for SSLeay" >&5
 echo $ECHO_N "checking for SSLeay... $ECHO_C" >&6
 ac_cv_ssleay_path=no
 incdir=no
@@ -8609,7 +8613,7 @@ for dir in $Xprefix /usr/${host_alias} /usr /usr/local /usr/local/ssl /usr/pkg;
                incdir=no
        fi
 done
-echo "$as_me:8612: result: $ac_cv_ssleay_path" >&5
+echo "$as_me:8616: result: $ac_cv_ssleay_path" >&5
 echo "${ECHO_T}$ac_cv_ssleay_path" >&6
 if test "$ac_cv_ssleay_path" != no; then
        V_INCLS="$V_INCLS $incdir"
@@ -8621,7 +8625,7 @@ if test "$ac_cv_ssleay_path" != no; then
                LIBS="$LIBS -lrsaref"
        fi
 
-echo "$as_me:8624: checking for DES_cbc_encrypt in -lcrypto" >&5
+echo "$as_me:8628: checking for DES_cbc_encrypt in -lcrypto" >&5
 echo $ECHO_N "checking for DES_cbc_encrypt in -lcrypto... $ECHO_C" >&6
 if test "${ac_cv_lib_crypto_DES_cbc_encrypt+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -8629,7 +8633,7 @@ else
   ac_check_lib_save_LIBS=$LIBS
 LIBS="-lcrypto  $LIBS"
 cat >conftest.$ac_ext <<_ACEOF
-#line 8632 "configure"
+#line 8636 "configure"
 #include "confdefs.h"
 
 /* Override any gcc2 internal prototype to avoid an error.  */
@@ -8648,16 +8652,16 @@ DES_cbc_encrypt ();
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:8651: \"$ac_link\"") >&5
+if { (eval echo "$as_me:8655: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:8654: \$? = $ac_status" >&5
+  echo "$as_me:8658: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:8657: \"$ac_try\"") >&5
+  { (eval echo "$as_me:8661: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:8660: \$? = $ac_status" >&5
+  echo "$as_me:8664: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_lib_crypto_DES_cbc_encrypt=yes
 else
@@ -8668,7 +8672,7 @@ fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 LIBS=$ac_check_lib_save_LIBS
 fi
-echo "$as_me:8671: result: $ac_cv_lib_crypto_DES_cbc_encrypt" >&5
+echo "$as_me:8675: result: $ac_cv_lib_crypto_DES_cbc_encrypt" >&5
 echo "${ECHO_T}$ac_cv_lib_crypto_DES_cbc_encrypt" >&6
 if test $ac_cv_lib_crypto_DES_cbc_encrypt = yes; then
   cat >>confdefs.h <<EOF
@@ -8684,23 +8688,23 @@ fi
 for ac_header in openssl/evp.h
 do
 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
-echo "$as_me:8687: checking for $ac_header" >&5
+echo "$as_me:8691: checking for $ac_header" >&5
 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
 if eval "test \"\${$as_ac_Header+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 8693 "configure"
+#line 8697 "configure"
 #include "confdefs.h"
 #include <$ac_header>
 _ACEOF
-if { (eval echo "$as_me:8697: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:8701: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
   ac_status=$?
   egrep -v '^ *\+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
-  echo "$as_me:8703: \$? = $ac_status" >&5
+  echo "$as_me:8707: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null; then
   if test -s conftest.err; then
     ac_cpp_err=$ac_c_preproc_warn_flag
@@ -8719,7 +8723,7 @@ else
 fi
 rm -f conftest.err conftest.$ac_ext
 fi
-echo "$as_me:8722: result: `eval echo '${'$as_ac_Header'}'`" >&5
+echo "$as_me:8726: result: `eval echo '${'$as_ac_Header'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
 if test `eval echo '${'$as_ac_Header'}'` = yes; then
   cat >>confdefs.h <<EOF
@@ -8750,7 +8754,7 @@ fi
 # AFS /usr/afsws/bin/install, which mishandles nonexistent args
 # SVR4 /usr/ucb/install, which tries to use the nonexistent group "staff"
 # ./install, which can be erroneously created by make from ./install.sh.
-echo "$as_me:8753: checking for a BSD compatible install" >&5
+echo "$as_me:8757: checking for a BSD compatible install" >&5
 echo $ECHO_N "checking for a BSD compatible install... $ECHO_C" >&6
 if test -z "$INSTALL"; then
 if test "${ac_cv_path_install+set}" = set; then
@@ -8799,7 +8803,7 @@ fi
     INSTALL=$ac_install_sh
   fi
 fi
-echo "$as_me:8802: result: $INSTALL" >&5
+echo "$as_me:8806: result: $INSTALL" >&5
 echo "${ECHO_T}$INSTALL" >&6
 
 # Use test -z because SunOS4 sh mishandles braces in ${var-val}.
@@ -8894,7 +8898,7 @@ DEFS=-DHAVE_CONFIG_H
 : ${CONFIG_STATUS=./config.status}
 ac_clean_files_save=$ac_clean_files
 ac_clean_files="$ac_clean_files $CONFIG_STATUS"
-{ echo "$as_me:8897: creating $CONFIG_STATUS" >&5
+{ echo "$as_me:8901: creating $CONFIG_STATUS" >&5
 echo "$as_me: creating $CONFIG_STATUS" >&6;}
 cat >$CONFIG_STATUS <<_ACEOF
 #! $SHELL
@@ -9070,7 +9074,7 @@ cat >>$CONFIG_STATUS <<\EOF
     echo "$ac_cs_version"; exit 0 ;;
   --he | --h)
     # Conflict between --help and --header
-    { { echo "$as_me:9073: error: ambiguous option: $1
+    { { echo "$as_me:9077: error: ambiguous option: $1
 Try \`$0 --help' for more information." >&5
 echo "$as_me: error: ambiguous option: $1
 Try \`$0 --help' for more information." >&2;}
@@ -9089,7 +9093,7 @@ Try \`$0 --help' for more information." >&2;}
     ac_need_defaults=false;;
 
   # This is an error.
-  -*) { { echo "$as_me:9092: error: unrecognized option: $1
+  -*) { { echo "$as_me:9096: error: unrecognized option: $1
 Try \`$0 --help' for more information." >&5
 echo "$as_me: error: unrecognized option: $1
 Try \`$0 --help' for more information." >&2;}
@@ -9134,7 +9138,7 @@ do
   "Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile" ;;
   "default-1" ) CONFIG_COMMANDS="$CONFIG_COMMANDS default-1" ;;
   "config.h" ) CONFIG_HEADERS="$CONFIG_HEADERS config.h" ;;
-  *) { { echo "$as_me:9137: error: invalid argument: $ac_config_target" >&5
+  *) { { echo "$as_me:9141: error: invalid argument: $ac_config_target" >&5
 echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
    { (exit 1); exit 1; }; };;
   esac
@@ -9357,7 +9361,7 @@ done; }
   esac
 
   if test x"$ac_file" != x-; then
-    { echo "$as_me:9360: creating $ac_file" >&5
+    { echo "$as_me:9364: creating $ac_file" >&5
 echo "$as_me: creating $ac_file" >&6;}
     rm -f "$ac_file"
   fi
@@ -9375,7 +9379,7 @@ echo "$as_me: creating $ac_file" >&6;}
       -) echo $tmp/stdin ;;
       [\\/$]*)
          # Absolute (can't be DOS-style, as IFS=:)
-         test -f "$f" || { { echo "$as_me:9378: error: cannot find input file: $f" >&5
+         test -f "$f" || { { echo "$as_me:9382: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          echo $f;;
@@ -9388,7 +9392,7 @@ echo "$as_me: error: cannot find input file: $f" >&2;}
            echo $srcdir/$f
          else
            # /dev/null tree
-           { { echo "$as_me:9391: error: cannot find input file: $f" >&5
+           { { echo "$as_me:9395: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          fi;;
@@ -9449,7 +9453,7 @@ for ac_file in : $CONFIG_HEADERS; do test "x$ac_file" = x: && continue
   * )   ac_file_in=$ac_file.in ;;
   esac
 
-  test x"$ac_file" != x- && { echo "$as_me:9452: creating $ac_file" >&5
+  test x"$ac_file" != x- && { echo "$as_me:9456: creating $ac_file" >&5
 echo "$as_me: creating $ac_file" >&6;}
 
   # First look for the input files in the build tree, otherwise in the
@@ -9460,7 +9464,7 @@ echo "$as_me: creating $ac_file" >&6;}
       -) echo $tmp/stdin ;;
       [\\/$]*)
          # Absolute (can't be DOS-style, as IFS=:)
-         test -f "$f" || { { echo "$as_me:9463: error: cannot find input file: $f" >&5
+         test -f "$f" || { { echo "$as_me:9467: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          echo $f;;
@@ -9473,7 +9477,7 @@ echo "$as_me: error: cannot find input file: $f" >&2;}
            echo $srcdir/$f
          else
            # /dev/null tree
-           { { echo "$as_me:9476: error: cannot find input file: $f" >&5
+           { { echo "$as_me:9480: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          fi;;
@@ -9590,7 +9594,7 @@ cat >>$CONFIG_STATUS <<\EOF
   rm -f $tmp/in
   if test x"$ac_file" != x-; then
     if cmp -s $ac_file $tmp/config.h 2>/dev/null; then
-      { echo "$as_me:9593: $ac_file is unchanged" >&5
+      { echo "$as_me:9597: $ac_file is unchanged" >&5
 echo "$as_me: $ac_file is unchanged" >&6;}
     else
       ac_dir=`$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
index 3335cd1bb27550b859f6b78ddebbd7081c73d66a..35622152b5b971375430f88b910423aa700b737c 100644 (file)
@@ -1,4 +1,4 @@
-dnl @(#) $Header: /tcpdump/master/tcpdump/configure.in,v 1.180 2004-04-17 08:44:51 guy Exp $ (LBL)
+dnl @(#) $Header: /tcpdump/master/tcpdump/configure.in,v 1.181 2004-07-10 21:53:31 guy Exp $ (LBL)
 dnl
 dnl Copyright (c) 1994, 1995, 1996, 1997
 dnl    The Regents of the University of California.  All rights reserved.
@@ -6,7 +6,7 @@ dnl
 dnl Process this file with autoconf to produce a configure script.
 dnl
 
-AC_REVISION($Revision: 1.180 $)
+AC_REVISION($Revision: 1.181 $)
 AC_PREREQ(2.50)
 AC_INIT(tcpdump.c)
 
@@ -592,8 +592,12 @@ if test $ac_cv_func_pcap_findalldevs = "yes" ; then
 dnl Check for Mac OS X, which may ship pcap.h from 0.6 but libpcap may
 dnl be 0.8; this means that lib has pcap_findalldevs but header doesn't
 dnl have pcap_if_t.
+    savedcflags="$CFLAGS"
+    CFLAGS="$CFLAGS $V_INCLS"
     AC_CHECK_TYPES(pcap_if_t, , , [#include <pcap.h>])
+    CFLAGS="$savedcflags"
 fi
+
 if test $ac_cv_func_pcap_lib_version = "no" ; then
     AC_MSG_CHECKING(whether pcap_version is defined by libpcap)
     AC_TRY_LINK([],